import { GetQuoteUseCase } from "@/contexts/sales/application";
import { registerQuoteRepository } from "../../../../Quote.repository";
import { ISalesContext } from "../../../../Sales.context";
import { ReportQuotePresenter } from "./reporter/ReportQuote.reporter";
import { ReportQuoteController } from "./ReportQuote.controller";

export const reportQuoteController = (context: ISalesContext) => {
  registerQuoteRepository(context);

  return new ReportQuoteController(
    {
      useCase: new GetQuoteUseCase(context),
      reporter: ReportQuotePresenter,
    },
    context
  );
};
